<?
//////////////////////////////////////////////////////////////////////
//
// jaBlog - a simple and easy to use blog system written in PHP
//
// Copyright (C) 2005-2007 - Tsvetozar Drambozov <tsvetozar@netbg.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////

include("conf.php");

mysql_connect($dbhost,$dbuser,$dbpass) or die("Could not connect to mysql: $dbuser@$dbhost");
mysql_select_db($dbname) or die("Could not change to db: $dbname");

if($db_charset!="") mysql_query("set names $db_charset");

session_start();

$jablog_ver = "1.9";

function html_format($str)
{
        return nl2br(htmlspecialchars($str));
}

function textarea_format($str)
{
        return htmlspecialchars($str);
}

function text2html($str, $ext=false, $url="")
{
        global $font, $font_code, $clr_highlight;
        $str = nl2br(htmlspecialchars($str));
        if(!$ext) return $str;
        $str = str_replace("[h]", "<font color=\"$clr_highlight\">", $str);
        $str = str_replace("[/h]", "</font>", $str);
        $str = str_replace("[b]", "<b>", $str);
        $str = str_replace("[/b]", "</b>", $str);
        $str = str_replace("[u]", "<u>", $str);
        $str = str_replace("[/u]", "</u>", $str);
        $str = str_replace("[i]", "<i>", $str);
        $str = str_replace("[/i]", "</i>", $str);
        $str = str_replace("[s]", "<strike>", $str);
        $str = str_replace("[/s]", "</strike>", $str);
        $str = str_replace("[code]", $font_code, $str);
        $str = str_replace("[/code]", $font, $str);
        $str = preg_replace("/((http|ftp)+(s)?:(\/\/)([\w]+(.[\w]+))([\w\-\.,@?^=%&:;\/~\+#]*[\w\-\@?^=%&:;\/~\+#])?)/i", "<a href=\"\\0\" target=\"_blank\">\\0</a>", $str);
        $str = eregi_replace("\\[img\\]([^\\[]*)\\[/img\\]", "<img src=\"{$url}files/\\1\" border=\"0\">", $str);
        $str = eregi_replace("\\[ximg\\]([^\\[]*)\\[/ximg\\]", "<img src=\"\\1\" border=\"0\">", $str);
        $str = eregi_replace("\\[imgl\\]([^\\[]*)\\[/imgl\\]", "<img src=\"{$url}files/\\1\" border=\"0\" align=\"left\">", $str);
        $str = eregi_replace("\\[ximgl\\]([^\\[]*)\\[/ximgl\\]", "<img src=\"\\1\" border=\"0\" align=\"left\">", $str);
        $str = eregi_replace("\\[imgr\\]([^\\[]*)\\[/imgr\\]", "<img src=\"{$url}files/\\1\" border=\"0\" align=\"right\">", $str);
        $str = eregi_replace("\\[ximgr\\]([^\\[]*)\\[/ximgr\\]", "<img src=\"\\1\" border=\"0\" align=\"right\">", $str);
        $str = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]", "<a href=\"{$url}files/\\1\" target=\"_blank\">\\1</a>", $str);
        $str = eregi_replace("\\[xurl\\]([^\\[]*)\\[/xurl\\]", "<a href=\"{$url}files/\\1\" target=\"_blank\">\\1</a>", $str);
        $str = str_replace("-&gt;", '<img border="0" src="'.$url.'emoticons/arrow.gif" width="15" height="15">', $str);
        $str = str_replace("[ ]", '<img border="0" src="'.$url.'emoticons/biggrin.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/confused.gif" width="15" height="15">', $str);
        $str = str_replace("8)", '<img border="0" src="'.$url.'emoticons/cool.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/cry.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/evil.gif" width="15" height="15">', $str);
        $str = str_replace("!!", '<img border="0" src="'.$url.'emoticons/exclaim.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/idea.gif" width="15" height="15">', $str);
        $str = str_replace("[ ]", '<img border="0" src="'.$url.'emoticons/lol.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/mad.gif" width="15" height="15">', $str);
        $str = str_replace(":|", '<img border="0" src="'.$url.'emoticons/neutral.gif" width="15" height="15">', $str);
        $str = str_replace("??", '<img border="0" src="'.$url.'emoticons/question.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/razz.gif" width="15" height="15">', $str);
        $str = str_replace("[ ]", '<img border="0" src="'.$url.'emoticons/redface.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/rolleyes.gif" width="15" height="15">', $str);
        $str = str_replace(":(", '<img border="0" src="'.$url.'emoticons/sad.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/shock.gif" width="15" height="15">', $str);
        $str = str_replace(":)", '<img border="0" src="'.$url.'emoticons/smile.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/surprised.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/twisted.gif" width="15" height="15">', $str);
        $str = str_replace("[]", '<img border="0" src="'.$url.'emoticons/wink.gif" width="15" height="15">', $str);
        $str = str_replace("/]", "]", $str);

        return $str;
}

function get_photos($gallery_id)
{
        $photos = array();
        $query = "select * from photos where gallery_id='$gallery_id' order by photo_id asc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
                $photos[] = $row["filename"];
        return $photos;
}

function get_texts($gallery_id)
{
        $texts = array();
        $query = "select * from photos where gallery_id='$gallery_id' order by photo_id asc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
                $texts[] = $row["text"];
        return $texts;
}

function emoticons_list($form, $field)
{
?>
<script language="JavaScript">
<!--
function <?=$form?>_<?=$field?>_emoticon(text) {
  if (document.<?=$form?>.<?=$field?>.createTextRange && document.<?=$form?>.<?=$field?>.caretPos) {
    var caretPos = document.<?=$form?>.<?=$field?>.caretPos;
    caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;
    document.<?=$form?>.<?=$field?>.focus();
  } else {
    document.<?=$form?>.<?=$field?>.value += text;
    document.<?=$form?>.<?=$field?>.focus();
  }
}
-->
</script>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('->')"><img border="0" src="emoticons/arrow.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[ ]')"><img border="0" src="emoticons/biggrin.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/confused.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('8)')"><img border="0" src="emoticons/cool.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/cry.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/evil.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('!!')"><img border="0" src="emoticons/exclaim.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/idea.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[ ]')"><img border="0" src="emoticons/lol.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/mad.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon(':|')"><img border="0" src="emoticons/neutral.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('??')"><img border="0" src="emoticons/question.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/razz.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[ ]')"><img border="0" src="emoticons/redface.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/rolleyes.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon(':(')"><img border="0" src="emoticons/sad.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/shock.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon(':)')"><img border="0" src="emoticons/smile.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/surprised.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/twisted.gif" width="15" height="15"></a>
<a href="javascript:<?=$form?>_<?=$field?>_emoticon('[]')"><img border="0" src="emoticons/wink.gif" width="15" height="15"></a>
<?
}

function auth_form()
{
        global $font, $clr_title;
?>
<b><?=$font?><font color="<?=$clr_title?>" size="4"><u> </u></b></font><br>
<form method="POST" action="index.php?ja=l">
  <p><?=$font?> :<br>
  <input type="text" name="user" size="50"></font></p>
  <p><?=$font?>:<br>
  <input type="password" name="pass" size="50"></font></p>
  <p><?=$font?><input type="submit" value=""></font></p>
</form>
<?
}

function auth_ok()
{
        if($_SESSION["auth"]) return true;
        return false;
}

if($_GET["ja"]=="rss2")
{
        $jablog_url = "http://jablog.openfmi.net/";
        header("Content-Type: text/xml");
        print '<?xml version="1.0" encoding="windows-1251"?>';
        ?><!--generator=" <?=$jablog_ver?> (jaBlog <?=$jablog_ver?>)"-->
          <rss version="2.0">
          <channel>
          <title><?=text2html($blog_title)?></title>
          <link><?=$jablog_url?></link>
          <description><?=text2html($blog_title)?></description>
          <language>bg</language>
          <generator> <?=$jablog_ver?> (jaBlog <?=$jablog_ver?>)</generator>
          <pubDate><?=date("D, j M Y G:i:s T")?></pubDate>
          <image>
          <url><?=$jablog_url?>jablog.gif</url>
          <title><?=text2html($blog_title)?></title>
          <link><?=$jablog_url?></link>
          <width>173</width>
          <height>200</height>
          </image><?
        $query = "select * from blogs where page='0' order by date desc limit 0, 10";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
        {
                ?><item>
                  <title><?=text2html($row["title"])?></title>
                  <link><?=$jablog_url?>index.php?ja=v&amp;blog_id=<?=$row["blog_id"]?></link>
                  <pubDate><?=date("D, j M Y G:i:s T", strtotime($row["date"]))?></pubDate>
                  <category><?=$row[""]?></category>
                  <guid><?=$jablog_url?>index.php?ja=v&amp;blog_id=<?=$row["blog_id"]?></guid>
                  <description><![CDATA[<?=text2html($row["text"], true, $jablog_url)?>]]></description>
                  <comments><?=$jablog_url?>index.php?ja=v&amp;blog_id=<?=$row["blog_id"]?>#cmt_form</comments>
                  </item><?
        }
        ?></channel></rss><?
        die;
}

if($templ_change && $_GET["ja"]=="templ")
{
        if(is_dir("templ/".$_GET["templ_name"]))
                $_SESSION["templ_name"] = $_GET["templ_name"];
}

$query = "update blogs set cal_date=date_add(cal_date, interval cal_value year) where cal_date<>'0000-00-00' and cal_date<'".date("Y-m-d")."' and cal_value>'0' and cal_repeat='3'";
mysql_query($query);
$query = "update blogs set cal_date=date_add(cal_date, interval cal_value month) where cal_date<>'0000-00-00' and cal_date<'".date("Y-m-d")."' and cal_value>'0' and cal_repeat='2'";
mysql_query($query);
$query = "update blogs set cal_date=date_add(cal_date, interval cal_value day) where cal_date<>'0000-00-00' and cal_date<'".date("Y-m-d")."' and cal_value>'0' and cal_repeat='1'";
mysql_query($query);

if(isset($_SESSION["templ_name"])) $templ_name = $_SESSION["templ_name"];
if($templ_name=="") $templ_name = "jablog";

ob_start();
@include("templ/$templ_name/conf.php");
include("templ/$templ_name/templ.php");
$html = ob_get_contents();
ob_end_clean();

ob_start();

switch($_GET["ja"])
{
case "gpl":
        $query = "select * from galleries where gallery_id='$_GET[gallery_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
        $photos = get_photos($row["gallery_id"]);
        $texts = get_texts($row["gallery_id"]);
        $p = (int)$_GET["p"];
?><p><b><?=$font?><font color="<?=$clr_title?>" size="4"><u>: <?=text2html($row["title"])?></u></b></font></p>

<?for($i=0; $i<count($photos); $i++){?>
<p>
<a href="index.php?ja=gp&gallery_id=<?=$row["gallery_id"]?>&p=<?=$i?>"><b><?=text2html($photos[$i])?></b></a> <font color="<?=$clr_text2?>">(<?=@filesize("files/".$photos[$i])?> )</font><br>
<?=text2html($texts[$i], true)?>
</p>
<?}?>
<?
        break;

case "gp":
        $query = "select * from galleries where gallery_id='$_GET[gallery_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
        $photos = get_photos($row["gallery_id"]);
        $texts = get_texts($row["gallery_id"]);
        $p = (int)$_GET["p"];
?><p><b><?=$font?><font color="<?=$clr_title?>" size="4"><u>: <?=text2html($row["title"])?></u></b></font></p>
<p align="center"><a href="index.php?ja=gpl&gallery_id=<?=$row["gallery_id"]?>">&lt;&lt; </a></p>
<p align="center"><?=text2html($photos[$p])?> <font color="<?=$clr_text2?>">(: <?=@filesize("files/".$photos[$p])?> )</font><br>
<img src="files/<?=text2html($photos[$p])?>"><br>
<?=text2html($texts[$p], true)?><br>
<br>
<?=$p+1?>  <?=count($photos)?></p>
<p align="center">
<?if($p>0){?><a href="index.php?ja=gp&gallery_id=<?=$row["gallery_id"]?>&p=<?=$p-1?>"></a><?}else{?><?}?>
&nbsp;&nbsp;&nbsp;
<?if($p<count($photos)-1){?><a href="index.php?ja=gp&gallery_id=<?=$row["gallery_id"]?>&p=<?=$p+1?>"></a><?}else{?><?}?>
</p>
<p align="center">
<?for($i=0; $i<count($photos); $i++){?>
<a href="index.php?ja=gp&gallery_id=<?=$row["gallery_id"]?>&p=<?=$i?>"><?=$i+1?></a>
<?}?>
</p><?
        break;

case "gd":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        $query = "delete from galleries where gallery_id='$_GET[gallery_id]'";
        mysql_query($query);
        ?><?=$font?>   .<br>
          <a href="index.php?ja=gl">   .</a><?
        break;

case "gu":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        if($_POST["gallery_id"]==0)
        {
                $query = "insert into galleries (title, text, date)
                          values ('$_POST[title]', '$_POST[text]', now())";
                mysql_query($query);
                $gallery_id = mysql_insert_id();
                ?><?=$font?>    . <a href="index.php?ja=gpl&gallery_id=<?=$gallery_id?>"> ,    .</a><br>
                  <a href="index.php?ja=ge&gallery_id=<?=$gallery_id?>"> ,    .</a><?
        }
        else
        {
                $query = "update galleries set title='$_POST[title]', text='$_POST[text]' where gallery_id='$_POST[gallery_id]'";
                mysql_query($query);
                $gallery_id = $_POST["gallery_id"];
                ?><?=$font?>   . <a href="index.php?ja=gpl&gallery_id=<?=$gallery_id?>"> ,    .</a><br>
                  <a href="index.php?ja=ge&gallery_id=<?=$gallery_id?>"> ,    .</a><?
        }
        if(!is_array($filename_a)) $filename_a = array();
        $query = "delete from photos where gallery_id='$_POST[gallery_id]'";
        mysql_query($query);
        $filename_a = $_POST["filename_a"];
        $text_a = $_POST["text_a"];
        foreach($filename_a as $i=>$filename)
        {
                $query = "insert into photos (gallery_id, filename, text)
                          values ('$_POST[gallery_id]', '$filename', '$text_a[$i]')";
                mysql_query($query);
        }
        if($_POST["add_photos"]>0)
        {
                ?><p><a href="index.php?ja=ge&gallery_id=<?=$_POST["gallery_id"]?>&add_photos=<?=$_POST["add_photos"]?>">    <?=$_POST["add_photos"]?>  .</a></p><?
        }
        break;

case "ge":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $query = "select * from galleries where gallery_id='$_GET[gallery_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
?>
<form method="POST" action="index.php?ja=gu" name="form">
<input type="hidden" name="gallery_id" value="<?=$_GET["gallery_id"]?>">
  <p><?=$font?>:<br>
  <input type="text" name="title" size="50" value="<?=html_format($row["title"])?>"></font></p>
  <p><?=$font?>:<br>
  <textarea rows="10" name="text" cols="50"><?=textarea_format($row["text"])?></textarea><br>
      .</font></p>
  <p><?=$font?>:<br>
<?
        $query = "select * from photos where gallery_id='$_GET[gallery_id]' order by photo_id asc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
        {
?>
  <p><?=$font?>:<br>
  <input type="text" name="filename_a[]" size="50" value="<?=html_format($row["filename"])?>"></font></p>
  <p><?=$font?>:<br>
  <textarea rows="3" name="text_a[]" cols="50"><?=textarea_format($row["text"])?></textarea></font></p>
<?
        }
        for($i=0; $i<$_GET["add_photos"]; $i++)
        {
?>
  <p><?=$font?> :<br>
  <input type="text" name="filename_a[]" size="50"></font></p>
  <p><?=$font?>:<br>
  <textarea rows="3" name="text_a[]" cols="50"></textarea></font></p>
<?
        }
?>
  <p><?=$font?> :
  <input type="text" name="add_photos" size="5" value="0"> </font></p>
  <p><?=$font?><input type="submit" value="Submit"></font></p>
</form>
<?
        break;

case "gl":
?><p><b><?=$font?><font color="<?=$clr_title?>" size="4"><u></u></b></font></p><?
        $query = "select * from galleries order by date desc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
        {
                $photos = get_photos($row["gallery_id"]);
?><p><b><?=$font?><a href="index.php?ja=gpl&gallery_id=<?=$row["gallery_id"]?>"><?=text2html($row["title"])?></a></b><br>
<font color="<?=$clr_text2?>">
: <?=text2html($row["date"])?><br>
: <?=count($photos)?><br>
</font>
<?=text2html($row["text"], true)?>
<?if(auth_ok()) {?><br><a href="index.php?ja=ge&gallery_id=<?=$row["gallery_id"]?>"></a>, <a href="index.php?ja=gd&gallery_id=<?=$row["gallery_id"]?>" onclick="return confirm('DELETE ?');"></a><?}?>
</p><?
        }
        if(auth_ok())
        {
?><p><?=$font?><a href="index.php?ja=ge"> </a></p><?
        }
        break;

case "fr":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $old_name = $_POST["old_name"];
        $new_name = $_POST["new_name"];
        if(@rename("files/$old_name", "files/$new_name"))
        {
                ?><?=$font?> <b><?=text2html($old_name)?></b>    <b><?=text2html($new_name)?></b>.<?
        }
        else
        {
                ?><?=$font?><font color="red">     <b><?=text2html($old_name)?></b>  <b><?=text2html($new_name)?></b>.</font><?
        }
        ?><?=$font?><br><a href="index.php?ja=fl">   .</a><?
        break;

case "fd":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $fn = $_GET["fn"];
        if(@unlink("files/$fn"))
        {
                ?><?=$font?> <b><?=text2html($fn)?></b>  .<?
        }
        else
        {
                ?><?=$font?><font color="red">     <b><?=text2html($fn)?></b>.</font><?
        }
        ?><?=$font?><br><a href="index.php?ja=fl">   .</a><?
        break;

case "fn":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $fn = $_GET["fn"];
?>
<b><?=$font?><font color="<?=$clr_title?>" size="4"><u>: <?=text2html($fn)?></u></b></font><br>
<form method="POST" action="index.php?ja=fr">
<input type="hidden" name="old_name" value="<?=text2html($fn)?>">
  <p><?=$font?> :<br>
  <input type="text" name="new_name" size="50" value="<?=text2html($fn)?>"></font></p>
  <p><?=$font?><input type="submit" value=""></font></p>
</form>
<?
        break;

case "fu":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $tmp_name = $_FILES["file"]["tmp_name"];
        $real_name = $_FILES["file"]["name"];
        $name = $real_name;
        while(file_exists("files/$name")) $name = sprintf("%05d_%s", rand(0,99999), $real_name);

        if(@move_uploaded_file($tmp_name, "files/$name"))
        {
                ?><?=$font?> <b><?=text2html($real_name)?></b>   upload-    <b><?=text2html($name)?></b>.<?
        }
        else
        {
                ?><?=$font?><font color="red">   upload-  <b><?=text2html($_FILES["file"]["name"])?></b>.</font><?
        }
        ?><?=$font?><br><a href="index.php?ja=fl">   .</a><?
        break;

case "fl":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
?>
<b><?=$font?><font color="<?=$clr_title?>" size="4"><u>Upload  : <?=text2html($fn)?></u></b></font><br>
<form method="POST" action="index.php?ja=fu" enctype="multipart/form-data">
  <p><?=$font?>:<br>
  <input type="file" name="file" size="50"></font></p>
  <p><?=$font?><input type="submit" value="Upload"></font></p>
</form>

<table border="1" cellspacing="0" cellpadding="2" bordercolor="#000000">
  <tr>
    <td><?=$font?><b>&nbsp;</b></td>
    <td><?=$font?><b></b></td>
    <td><?=$font?><b></b></td>
    <td><?=$font?><b></b></td>
    <td><?=$font?>&nbsp;</td>
    <td><?=$font?>&nbsp;</td>
  </tr>
<?
        ?><?=$font?><?
        $files = array();
        $d = dir("files/");
        while(false !== ($entry = $d->read()))
        {
                if($entry=="." || $entry==".." || $entry=="index.php") continue;
                $files[] = $entry;
        }
        $d->close();
        asort($files);
        $pagesize = $files_per_page;
        if($pagesize<1) $pagesize = 1;
        $pages = (int)(count($files)/$pagesize);
        if(count($files)%$pagesize) $pages++;
        $total_size = 0;
        $total_files = 0;
        $i = 0;
        foreach($files as $entry)
        {
                $total_size += filesize("files/$entry");
                $total_files++;

                $i++;
                if($i<=$pagesize*$_GET["p"]) continue;
                if($i>$pagesize*($_GET["p"]+1)) continue;
?>
  <tr>
    <td align="right"><?=$font?><?=$i?></td>
    <td nowrap><?=$font?><a href="files/<?=$entry?>" target="_blank"><?=text2html($entry)?></a></td>
    <td nowrap align="right"><?=$font?><?=filesize("files/$entry")?></td>
    <td nowrap><?=$font?><?=date("Y-m-d H:i:s", filemtime("files/$entry"))?></td>
    <td nowrap><?=$font?><a href="index.php?ja=fn&fn=<?=$entry?>"></a></td>
    <td nowrap><?=$font?><a href="index.php?ja=fd&fn=<?=$entry?>" onclick="return confirm('DELETE?');"></a></td>
  </tr>
<?
        }
?>
  <tr>
    <td nowrap><?=$font?><b>&nbsp;</td>
    <td nowrap><?=$font?> <b><?=$total_files?></b> <?if($total_files>0){?><?}?></td>
    <td nowrap align="right"><?=$font?><b><?=$total_size?></b></td>
    <td><?=$font?>&nbsp;</td>
    <td><?=$font?>&nbsp;</td>
    <td><?=$font?>&nbsp;</td>
  </tr>
</table>
<p align="left"><?=$font?>:<?
        for($i=0; $i<$pages; $i++) {?> <a href="index.php?ja=<?=$_GET["ja"]?>&p=<?=$i?>"><?=$i+1?></a><?}
        break;

case "adb":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        $query = "delete from blogs where blog_id='$_GET[blog_id]'";
        mysql_query($query);
        $query = "delete from comments where blog_id='$_GET[blog_id]'";
        mysql_query($query);
        ?><?=$font?>   .<?
        break;

case "adc":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        $query = "delete from comments where comment_id='$_GET[comment_id]'";
        mysql_query($query);
        ?><?=$font?>   . <a href="index.php?ja=v&blog_id=<?=$_GET["blog_id"]?>">  .</a><?
        break;

case "adcw":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        $word = trim($_POST["word"]);
        if(strlen($word)<5)
        {
                ?><?=$font?>  5 .<?
                break;
        }

        $query = "delete from comments where name like '%$word%' or text like '%$word%' and approved='0'";
        $res = mysql_query($query);
        $cnt = mysql_affected_rows();
        ?><?=$font?>  <?=$cnt?> .<?
        break;

case "aac":
        if(!auth_ok())
        {
                auth_form();
                break;
        }

        $query = "update comments set approved='1' where comment_id='$_GET[comment_id]'";
        mysql_query($query);
        ?><?=$font?>  . <a href="index.php?ja=v&blog_id=<?=$_GET["blog_id"]?>">  .</a><?
        ?><p><?=$font?><a href="index.php?ja=nc">    &gt;&gt;</a></p><?
        break;

case "nc":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
?>

<table border="1" cellspacing="0" cellpadding="2" bordercolor="#000000">
  <tr>
    <td><?=$font?><b></b></td>
    <td><?=$font?><b></b></td>
    <td><?=$font?><b></b></td>
    <td><?=$font?>&nbsp;</td>
  </tr>
<?
        $rs = mysql_query("select * from comments where approved='0' order by date desc");
        while($row = mysql_fetch_array($rs))
        {
                $query = "select * from blogs where blog_id='$row[blog_id]'";
                $rs2 = mysql_query($query);
                $blog = mysql_fetch_array($rs2);
?>
  <tr>
    <td nowrap><?=$font?><?=text2html($row["date"])?></td>
    <td><?=$font?><?=text2html($blog["title"])?></td>
    <td><?=$font?><?=text2html($row["name"])?></td>
    <td nowrap><?=$font?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>#cmts"></a></td>
  </tr>
<?
        }
?>
</table>

<form method="POST" action="index.php?ja=adcw" name="form">
  <p><?=$font?>   /:<br>
  <input type="text" name="word" size="50"></font></p>
  <p><?=$font?><input type="submit" value="Submit"><br>
    5 </font></p>
</form>
<?
        break;

case "acd":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $query = "select count(*) as cnt from blogs where category_id='$_GET[category_id]'";
        $rs2 = mysql_query($query);
        $cnt = mysql_result($rs2,0,"cnt");
        if($cnt>0)
        {
                ?><?=$font?>    ,   <?=$cnt?>   . <a href="index.php?ja=acl">   .</a><?
                break;
        }
        $query = "delete from categories where category_id='$_GET[category_id]'";
        mysql_query($query);
        ?><?=$font?>  . <a href="index.php?ja=acl">   .</a><?
        break;

case "acu":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        if($_POST["category_id"]==0)
        {
                $query = "insert into categories (name)
                          values ('$_POST[name]')";
                mysql_query($query);
                $category_id = mysql_insert_id();
                ?><?=$font?>    . <a href="index.php?ja=acl">   .</a><?
        }
        else
        {
                $query = "update categories set name='$_POST[name]' where category_id='$_POST[category_id]'";
                mysql_query($query);
                ?><?=$font?>  . <a href="index.php?ja=acl">   .</a><?
        }
        break;

case "ace":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $query = "select * from categories where category_id='$_GET[category_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
?>
<form method="POST" action="index.php?ja=acu" name="form">
<input type="hidden" name="category_id" value="<?=$_GET["category_id"]?>">
  <p><?=$font?>:<br>
  <input type="text" name="name" size="50" value="<?=html_format($row["name"])?>"></font></p>
  <p><?=$font?><input type="submit" value="Submit"></font></p>
</form>
<?
        break;

case "acl":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
?>

<table border="1" cellspacing="0" cellpadding="2" bordercolor="#000000">
  <tr>
    <td><?=$font?><b></b></td>
    <td><?=$font?><b>.</b></td>
    <td><?=$font?>&nbsp;</td>
    <td><?=$font?>&nbsp;</td>
  </tr>
<?
        $rs = mysql_query("select * from categories order by name asc");
        while($row = mysql_fetch_array($rs))
        {
                $query = "select count(*) as cnt from blogs where category_id='$row[category_id]'";
                $rs2 = mysql_query($query);
                $cnt = mysql_result($rs2,0,"cnt");
?>
  <tr>
    <td nowrap><?=$font?><?=text2html($row["name"])?></td>
    <td align="right"><?=$font?><?=$cnt?></td>
    <td nowrap><?=$font?><a href="index.php?ja=ace&category_id=<?=$row["category_id"]?>"></a></td>
    <td nowrap><?if($cnt==0){?><?=$font?><a href="index.php?ja=acd&category_id=<?=$row["category_id"]?>"></a><?}?></td>
  </tr>
<?
        }
?>
</table>
<a href="index.php?ja=ace"> </a>
<?
        break;

case "l":
        if($_POST["user"]==$auth_user && $_POST["pass"]==$auth_pass)
        {
                $_SESSION["auth"] = true;
                $auth = 1;
                ?><?=$font?> .</a><?
        }
        else
        {
                ?><?=$font?>  /.<?
        }
        break;

case "lo":
        $_SESSION["auth"] = false;
        $auth = false;
        ?><?=$font?>  (log-out).</a><?
        break;

case "c":
        $query = "select * from blogs where blog_id='$_POST[blog_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
        if(!$row)
        {
                ?><?=$font?> .<?
                break;
        }
        if($row["no_comments"])
        {
                ?><?=$font?>       /.
                <a href="index.php?ja=v&blog_id=<?=$_POST["blog_id"]?>#cmts"> ,     .</a><?
                break;
        }

        $approved = 0;
        if(!$approve_comments) $approved = 1;
        $query = "insert into comments (approved, blog_id, name, email, url, text, date)
                  values ('$approved', '$_POST[blog_id]', '$_POST[name]', '$_POST[email]', '$_POST[url]', '$_POST[text]', now())";
        mysql_query($query);
        ?><?=$font?>   .<?
        if($approved) {?><a href="index.php?ja=v&blog_id=<?=$_POST["blog_id"]?>#cmts"> ,    .</a><?}
        else {?>       .<?}
        break;

case "u":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        if($_POST["cal_d"]<1 || $_POST["cal_d"]>31 || $_POST["cal_m"]<1 || $_POST["cal_m"]>12 || $_POST["cal_y"]<=0) $cal_date = "0000-00-00";
        else $cal_date = $_POST["cal_y"]."-".$_POST["cal_m"]."-".$_POST["cal_d"];
        if($_POST["blog_id"]==0)
        {
                $query = "insert into blogs (category_id, title, text, text2, date, page, no_comments, cal_date, cal_value, cal_repeat)
                          values ('$_POST[category_id]', '$_POST[title]', '$_POST[text]', '$_POST[text2]', now(), '$_POST[page]', '$_POST[no_comments]', '$cal_date', '$_POST[cal_value]', '$_POST[cal_repeat]')";
                mysql_query($query);
                $blog_id = mysql_insert_id();
                ?><?=$font?>    . <a href="index.php?ja=v&blog_id=<?=$blog_id?>"> ,    .</a><?
        }
        else
        {
                $query = "update blogs set category_id='$_POST[category_id]', title='$_POST[title]', text='$_POST[text]', text2='$_POST[text2]', page='$_POST[page]', no_comments='$_POST[no_comments]', cal_date='$cal_date', cal_value='$_POST[cal_value]', cal_repeat='$_POST[cal_repeat]' where blog_id='$_POST[blog_id]'";
                mysql_query($query);
                $blog_id = $_POST["blog_id"];
                ?><?=$font?>   . <a href="index.php?ja=v&blog_id=<?=$blog_id?>"> ,    .</a><?
        }
        break;

case "e":
        if(!auth_ok())
        {
                auth_form();
                break;
        }
        $query = "select *, year(cal_date) as y, month(cal_date) as m, dayofmonth(cal_date) as d from blogs where blog_id='$_GET[blog_id]'";
        $rs = mysql_query($query);
        $row = mysql_fetch_array($rs);
?>
<form method="POST" action="index.php?ja=u" name="form">
<input type="hidden" name="blog_id" value="<?=$_GET["blog_id"]?>">
  <p><?=$font?>:<br>
  <select size="1" name="category_id">
    <option value="0"></option>
<?
        $query = "select * from categories order by name asc";
        $rs = mysql_query($query);
        while($row2 = mysql_fetch_array($rs))
        {
?>
    <option value="<?=$row2["category_id"]?>" <?if($row2["category_id"]==$row["category_id"]) print "selected"?>><?=html_format($row2["name"])?></option>
<?
        }
?>
  </select>
  </p>
  <p><?=$font?>:<br>
  <input type="text" name="title" size="50" value="<?=html_format($row["title"])?>"></font></p>
  <p><?=$font?>:<br>
  <?emoticons_list("form", "text")?><br>
  <textarea rows="10" name="text" cols="50"><?=textarea_format($row["text"])?></textarea></font></p>
  <p><?=$font?> ():<br>
  <?emoticons_list("form", "text2")?><br>
  <textarea rows="10" name="text2" cols="50"><?=textarea_format($row["text2"])?></textarea></font></p>
  <p><?=$font?>
  <input type="checkbox" name="page" value="1" <?if($row["page"]) print "checked"?>> <br>(  ,              ;      " "  ..)</font></p>
  <p><?=$font?>
  <input type="checkbox" name="no_comments" value="1" <?if($row["no_comments"]) print "checked"?>>   (             )</font></p>
  <p><?=$font?><b> :</b><br>
       ,      .           (   ,   ).
     ,            -      ,    ,  ,     . </font></p>
  <p><?=$font?>   (      ):<br>
  : <input type="editbox" name="cal_d" value="<?=html_format($row["d"])?>" size="3">
  : <input type="editbox" name="cal_m" value="<?=html_format($row["m"])?>" size="3">
  : <input type="editbox" name="cal_y" value="<?=html_format($row["y"])?>" size="3"><br>
   : <input type="editbox" name="cal_value" value="<?=html_format($row["cal_value"])?>" size="3">
  <select size="1" name="cal_repeat">
    <option value="0" <?if($row["cal_repeat"]==0) print "selected"?>>  </option>
    <option value="1" <?if($row["cal_repeat"]==1) print "selected"?>></option>
    <option value="2" <?if($row["cal_repeat"]==2) print "selected"?>></option>
    <option value="3" <?if($row["cal_repeat"]==3) print "selected"?>></option>
  </select>
  </font></p>
  <p><?=$font?><input type="submit" value="Submit"></font></p>
</form>
<?
        break;

case "cal":
        ?><p><b><?=$font?><font color="<?=$clr_title?>" size="4"><u></u></font></b></p><?
?>
<table border="1" cellspacing="0" cellpadding="2" bordercolor="#000000">
  <tr>
    <td nowrap><?=$font?><b></b></td>
    <td nowrap width="100%"><?=$font?><b></b></td>
    <td nowrap><?=$font?><b>.</b></td>
  </tr>
<?
        $query = "select * from blogs where cal_date<>'0000-00-00' order by cal_date asc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
        {
                $repeat = "-";
                if($row["cal_repeat"]==1) $repeat = $row["cal_value"]." ";
                if($row["cal_repeat"]==2) $repeat = $row["cal_value"]." ec.";
                if($row["cal_repeat"]==3) $repeat = $row["cal_value"]." .";
?>
  <tr>
    <td valign="top" nowrap><?=$font?><?=html_format($row["cal_date"])?></td>
    <td valign="top" width="100%"><?=$font?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>"><b><?=html_format($row["title"])?></b></a></td>
    <td valign="top" align="center" nowrap><?=$font?><?=html_format($repeat)?></td>
  </tr>
<?
        }
?>
</table>
<?
        break;

case "v":
default:
        if($_GET["category_id"]>0) $sqlstr = "and category_id='$_GET[category_id]'";
        if($_GET["ja"]=="v") $query = "select * from blogs where blog_id='$_GET[blog_id]'";
        else if($_GET["search"]=="") $query = "select * from blogs where page='0' $sqlstr and cal_date='0000-00-00' order by date desc";
        else $query = "select * from blogs where (title like '%$_GET[search]%' or text like '%$_GET[search]%' or text2 like '%$_GET[search]%') order by date desc";
        $rs = mysql_query($query);
        $pagesize = $blogs_per_page;
        if($pagesize<1) $pagesize = 1;
        $pages = (int)(mysql_num_rows($rs)/$pagesize);
        if(mysql_num_rows($rs)%$pagesize) $pages++;
        @mysql_data_seek($rs, $_GET["p"]*$pagesize);
        $count=0;
        while($row = mysql_fetch_array($rs))
        {
                $no_comments = $row["no_comments"];

                $query = "select * from categories where category_id='$row[category_id]'";
                $rs2 = mysql_query($query);
                $row2 = mysql_fetch_array($rs2);
?>
      <p><?if($_GET["ja"]!="v"){?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>"><?}?><b><?=$font?><font color="<?=$clr_title?>" size="4"><u><?=text2html($row["title"])?><?if($_GET["ja"]!="v"){?></a><?}?></u></font></b><?if(!$row["page"]){?><br>
        <?=$font?><font color="<?=$clr_text2?>">: <?=$row["cal_date"]=="0000-00-00"?$row["date"]:$row["cal_date"]?><?}?>
        <?if($row["category_id"]!=0){?>, : <a href="index.php?category_id=<?=$row["category_id"]?>"><?=html_format($row2["name"])?></a><?}?>
        </font></p>
        <p><?=$font?><?=text2html(trim($row["text"]), true)?>
<?
        if($_GET["ja"]=="v")
        {
                print text2html("\n\n".trim($row["text2"]), true);
                if(auth_ok()){?><p align="right"><?=$font?><font color="<?=$clr_text2?>">: <a href="index.php?ja=e&blog_id=<?=$row["blog_id"]?>"></a>, <a href="index.php?ja=adb&blog_id=<?=$row["blog_id"]?>" onclick="return confirm('delete?');"></a></font></p><?}
        }
?>

        </font></p>

<a name="cmts"></a>
<?if($_GET["ja"]=="v"){
        $sql_add = "";
        if(!auth_ok()) $sql_add = "and approved='1'";
        $query = "select * from comments where blog_id='$row[blog_id]' $sql_add order by date asc";
        $rs = mysql_query($query);
        while($row = mysql_fetch_array($rs))
        {
?>
<!--
  <?print_r($row)?>
  '<?=$row["url"]?>'
  '<?=text2html($row["url"])?>'

  <?if($row["url"]!=""){?><br>-: <a href="<?=text2html($row["url"])?>" target="_blank"><?=text2html($row["url"])?></a><?}?>

-->
      <hr size="1" color="<?=$clr_hr?>">
      <p><?=$font?><img src="http://www.gravatar.com/avatar.php?gravatar_id=<?=md5(trim($row["email"]))?>" align="right"><font color="<?=$clr_text2?>">: </font><font color="<?=$clr_title?>"><u><?=text2html($row["name"])?>
      <?if($row["email"]!=""){?>&lt;<?=text2html($row["email"])?>&gt;<?}?></u>
      <?if($row["url"]!=""){?><br>-: <a href="<?=text2html($row["url"])?>" target="_blank"><?=text2html($row["url"])?></a><?}?></font><?=$font?><font color="<?=$clr_text2?>"><br>
      </font><?=$font?><font color="<?=$clr_text2?>"><?=text2html(trim($row["text"]), true)?></font></p>
        <?if(auth_ok()){?><p align="right"><?=$font?><font color="<?=$clr_text2?>">:
        <?if(!$row["approved"]){?><a href="index.php?ja=aac&blog_id=<?=$row["blog_id"]?>&comment_id=<?=$row["comment_id"]?>""></a><?}?>
        <a href="index.php?ja=adc&blog_id=<?=$row["blog_id"]?>&comment_id=<?=$row["comment_id"]?>" onclick="return confirm('delete?');"></a></font></p><?}?>
      </p>

<?
        }

        if(!$no_comments)
        {

?>
<hr size="1" color="<?=$clr_hr?>"><a name="cmt_form"></a>
<b><?=$font?><font color="<?=$clr_title?>" size="4"><u> </u></b></font><br>
<form method="POST" action="index.php?ja=c" name="form">
  <p><?=$font?>:<br>
  <input type="text" name="name" size="50"></font></p>
  <p><?=$font?>e-mail:<br>
  <input type="text" name="email" size="50"></font></p>
  <p><?=$font?>-:<br>
  <input type="text" name="url" size="50"></font></p>
  <p><?=$font?>:<br>
  <?emoticons_list("form", "text")?><br>
  <textarea rows="10" name="text" cols="50"></textarea></font></p>
  <p><?=$font?><input type="submit" value=""></font></p>

  <input type="hidden" name="blog_id" value="<?=$_GET["blog_id"]?>">
</form>
<?
        }
?>
<?}else{
$rs2 = mysql_query("select count(*) as cnt from comments where blog_id='$row[blog_id]' and approved='1'");
$comments = mysql_result($rs2, 0, "cnt");
?>
<p align="right"><?=$font?><font color="<?=$clr_text2?>">
<?if($row["text2"]!=""){?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>">  &gt;&gt;</a>, <?}?>
<?if($comments>0){?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>#cmts">: <?=$comments?></a>, <?}?>
<a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>#cmt_form"> </a>
<?if(auth_ok()){?><br>: <a href="index.php?ja=e&blog_id=<?=$row["blog_id"]?>"></a>, <a href="index.php?ja=adb&blog_id=<?=$row["blog_id"]?>" onclick="return confirm('delete?');"></a><?}?></font></p>
<?}?>
<?if($_GET["ja"]!="v"){?><hr size="1" color="<?=$clr_hr?>"><?}?>
<?
                $count++;
                if($count>=$pagesize) break;
        }
        if($_GET["ja"]!="v")
        {
                ?><p align="right"><?=$font?>:<?
                for($i=0; $i<$pages; $i++) {?> <a href="index.php?search=<?=$_GET["search"]?>&category_id=<?=$_GET["category_id"]?>&p=<?=$i?>"><?=$i+1?></a><?}
        }
}

$main = ob_get_contents();
ob_end_clean();

ob_start();
?>
        <?=$font?>
        <a href="index.php"></a><br>
        <a href="index.php?ja=gl"></a><br>
<?
if(!auth_ok())
{
?>
        <a href="index.php?ja=e"></a><br>
<?
}
else
{
?>
        <a href="index.php?ja=lo"></a><hr>
        <a href="index.php?ja=e"> </a><br>
        <a href="index.php?ja=fl"> </a><br>
        <a href="index.php?ja=nc"> </a><br>
        <a href="index.php?ja=acl"></a><br>
<?
}
?>
<?
$query = "select * from blogs where page='1' order by title asc";
$rs = mysql_query($query);
if(mysql_num_rows($rs)>0)
{
        ?><hr><?
        while($row = mysql_fetch_array($rs))
        {
                ?><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>"><?=text2html($row["title"])?></a><br><?
        }
}
?>
<hr><a href="index.php?ja=cal"></a>
<?
$query = "select * from blogs where cal_date='".date("Y-m-d")."'";
$rs = mysql_query($query);
if(mysql_num_rows($rs)>0)
{
        ?><br>: <?=date("j.m.Y")?><?
        while($row = mysql_fetch_array($rs))
        {
                ?><br><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>"><?=text2html($row["title"])?></a><?
        }
}

$query = "select * from categories order by name asc";
$rs = mysql_query($query);
if(mysql_num_rows($rs)>0){?><hr><u>:</u><?}
while($row = mysql_fetch_array($rs))
{
        $query = "select count(*) as cnt from blogs where category_id='$row[category_id]' and  page='0' and cal_date='0000-00-00'";
        $rs2 = mysql_query($query);
        $cnt = mysql_result($rs2,0,"cnt");
        if($cnt==0) continue;
        ?><br><a href="index.php?category_id=<?=$row["category_id"]?>"><?=text2html($row["name"])?></a> (<?=$cnt?>)<?
}
?>
<hr><u> :</u><font size="1">
<?
$query = "select * from comments where approved='1' order by date desc limit 0, 10";
$rs = mysql_query($query);
while($row = mysql_fetch_array($rs))
{
        $query = "select * from blogs where blog_id='$row[blog_id]'";
        $rs2 = mysql_query($query);
        $blog = mysql_fetch_array($rs2);
        ?><br><a href="index.php?ja=v&blog_id=<?=$row["blog_id"]?>#cmts"><?=text2html($row["name"])?>: <?=text2html($blog["title"])?></a><br><?=text2html($row["date"])?><?
}
?>
</font>
<hr><a href="index.php?ja=rss2">RSS 2.0</a></font>
<hr>
<form method="GET" action="index.php">
  <p><input type="text" name="search" size="20" value="<?=html_format($_GET["search"])?>"><br>
  <input type="submit" value=""></p>
</form>
<?if($templ_change){?>
<hr>

<form method="GET" action="index.php">
  <input type="hidden" name="ja" value="templ">
  <p><?=$font?> :<br><select size="1" name="templ_name">
<?
$dirs = array();
$d = dir("templ/.");
while(false!==($entry = $d->read()))
{
        if($entry=="." || $entry=="..") continue;
        if(!is_dir("templ/$entry")) continue;
        $dirs[] = $entry;
}
$d->close();
asort($dirs);
foreach($dirs as $entry)
{
        ?><option value="<?=html_format($entry)?>" <?if($templ_name==$entry) print "selected"?>><?=html_format($entry)?></option><?
}
?>
  </select> <input type="submit" value="&gt;&gt;">
  </p>
</form>
<?
}
?>
<?
$menu = ob_get_contents();
ob_end_clean();

ob_start();
?>
        <?=$font?>  <font color="<?=$clr_highlight?>"> <?=$jablog_ver?></font>,
        <a href="http://jablog.openfmi.net" target="_blank">http://jablog.openfmi.net</a><br>
        <font size="1"> : <a href="http://openfmi.net/projects/jablog" target="_blank">http://openfmi.net/projects/jablog</a></font></font>
<?
$jablog = ob_get_contents();
ob_end_clean();

$html = str_replace('$FONT$', $font, $html);
$html = str_replace('$TITLE$', html_format($blog_title), $html);
$html = str_replace('$MENU$', $menu, $html);
$html = str_replace('$MAIN$', $main, $html);
$html = str_replace('$GENERATOR$', " $jablog_ver (jaBlog $jablog_ver)", $html);
if(strstr($html, '$JABLOG$')!="") $html = str_replace('$JABLOG$', $jablog, $html);
else $html .= "<center>$jablog</center>";
print $html;
?>
